Bug 817299 - Review Request: php-channel-twig - Adds pear.twig-project.org channel to PEAR
Review Request: php-channel-twig - Adds pear.twig-project.org channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 817302
  Show dependency treegraph
 
Reported: 2012-04-28 14:56 EDT by Shawn Iwinski
Modified: 2012-06-26 17:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 13:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christof: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shawn Iwinski 2012-04-28 14:56:29 EDT
Spec URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-channel-twig.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-channel-twig-1.0-1.fc16.src.rpm

Description: This package adds the pear.twig-project.org channel which allows PEAR packages from this channel to be installed.
Comment 1 Christof Damian 2012-05-20 06:28:09 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.

License for all twig related code is BSD

[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint php-channel-twig-1.0-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint php-channel-twig-1.0-1.fc18.noarch.rpm

php-channel-twig.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/cdamian/fedora/reviews/817299/channel.xml :
  MD5SUM this package     : b6081822f47306f9e8f03c7681457669
  MD5SUM upstream package : b6081822f47306f9e8f03c7681457669

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define pear_channel pear.twig-project.org

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Rpmlint output is silent.

Minor problems, these can be fixed in future updates.

ACCEPT
Comment 2 Shawn Iwinski 2012-05-20 13:26:22 EDT
Updates per comment #1

- %global instead of %define
- Removed BuildRoot
- Removed %defattr from %files section
- Minor syntax update in %post section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-channel-twig.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-channel-twig-1.0-2.fc16.src.rpm
Comment 3 Remi Collet 2012-06-06 12:10:53 EDT
As you are now in the packager group, you can now open the SCN request and proceed to the package import.
Comment 4 Shawn Iwinski 2012-06-06 16:33:58 EDT
New Package SCM Request
=======================
Package Name: php-channel-twig
Short Description: Adds pear.twig-project.org channel to PEAR
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 5 Gwyn Ciesla 2012-06-07 08:14:03 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-06-09 02:49:18 EDT
php-channel-twig-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-channel-twig-1.0-3.el6
Comment 7 Fedora Update System 2012-06-09 02:51:30 EDT
php-channel-twig-1.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-twig-1.0-3.fc17
Comment 8 Fedora Update System 2012-06-09 02:53:34 EDT
php-channel-twig-1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-channel-twig-1.0-3.fc16
Comment 9 Fedora Update System 2012-06-09 15:25:40 EDT
php-channel-twig-1.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2012-06-26 13:31:35 EDT
php-channel-twig-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 11 Fedora Update System 2012-06-26 17:28:25 EDT
php-channel-twig-1.0-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-06-26 17:41:03 EDT
php-channel-twig-1.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.